Update broker
curl --request PATCH \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId}/brokers/{brokerUserId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"brokerRole": "<string>"
}
'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}/brokers/{brokerUserId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"brokerRole": "<string>"
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({firstName: '<string>', lastName: '<string>', brokerRole: '<string>'})
};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}/brokers/{brokerUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}brokerage-firms
Update broker
Updates a broker profile inside a brokerage firm. Provide the brokerage firm id and the broker user id in the path and the fields to update in the request body. Only allowed for users with edit permissions.
PATCH
/
brokerage-firms
/
{brokerageFirmId}
/
brokers
/
{brokerUserId}
Update broker
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Broker user id
Brokerage firm id
Pattern:
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
Fields to update for the broker
Response
Broker updated successfully.
The response is of type object.
Was this page helpful?
⌘I

